
D4Science Infrastructure - Task #1279

Use HTTPS for CouchDB dev instances

Oct 30, 2015 12:42 PM - Luca Frosini

Status: Closed Start date: Oct 30, 2015

Priority: Normal Due date: Dec 31, 2016

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: Enhance Accounting Security   

Infrastructure: Development   

Description

The following CouchDB instances should be deployed under HTTPS.

couchdb01-d-d4s.d4science.org

couchdb02-d-d4s.d4science.org

HTTPS MUST be used between instances to communicate each other for replication and with HAProxy.

For this use we can autogenerate certificates or use INFN ones.

History

#1 - Dec 01, 2015 12:52 PM - Luca Frosini

- Target version changed from CouchDB Deployment to 204

#2 - Dec 01, 2015 12:53 PM - Luca Frosini

- Due date set to Jan 31, 2016

#4 - Dec 03, 2015 12:12 PM - Luca Frosini

- Target version changed from 204 to Enhance Accounting Security

#5 - Mar 09, 2016 09:00 PM - Pasquale Pagano

- Tracker changed from Support to Task

#6 - May 23, 2016 11:47 AM - Luca Frosini

- Status changed from New to In Progress

#7 - May 23, 2016 11:48 AM - Luca Frosini

- Assignee changed from _InfraScience Systems Engineer to Luca Frosini

#8 - May 23, 2016 11:50 AM - Luca Frosini

- Due date changed from Jan 31, 2016 to Dec 31, 2016

#9 - May 23, 2016 11:52 AM - Luca Frosini

- Assignee changed from Luca Frosini to _InfraScience Systems Engineer

#10 - May 23, 2016 11:53 AM - Luca Frosini

- Status changed from In Progress to Rejected

#11 - May 23, 2016 11:54 AM - Luca Frosini

The accounting is switching to CouchBase so the ticket became invalid. For this reason I set to Rejected

#12 - May 23, 2016 11:55 AM - Luca Frosini

- % Done changed from 0 to 100

#13 - Oct 28, 2016 12:02 PM - Luca Frosini

- Status changed from Rejected to Closed
